# Uses of Interface
org.opensaml.saml.saml2.metadata.NameIDMappingService

Packages that use NameIDMappingService
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of NameIDMappingService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type NameIDMappingService
Modifier and Type
Method
Description
`List<NameIDMappingService>`
IDPSSODescriptor.`getNameIDMappingServices()`
Gets the list of NameID mapping services for this service.

## Uses of NameIDMappingService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement NameIDMappingService
Modifier and Type
Class
Description
`class`
`NameIDMappingServiceImpl`
Concrete implementation of `NameIDMappingService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type NameIDMappingService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<NameIDMappingService>`
IDPSSODescriptorImpl.`nameIDMappingServices`
NameID mapping services for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return NameIDMappingService
Modifier and Type
Method
Description
`NameIDMappingService`
NameIDMappingServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIDMappingService`
NameIDMappingServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type NameIDMappingService
Modifier and Type
Method
Description
`List<NameIDMappingService>`
IDPSSODescriptorImpl.`getNameIDMappingServices()`
Gets the list of NameID mapping services for this service.